Subject: Re: linux-next: build warnings after merge of the drivers-x86 tree

From: Hans de Goede <[email-masked]>
Date: Thu, 24 Mar 2022 14:04:28 +0100

<fat fingered send, sending an incomplete email, this is attempt 2>

Hi Stephen,

On 3/24/22 12:22, Stephen Rothwell wrote:
> Hi Hans,
> 
> On Thu, 24 Mar 2022 08:39:19 +0100 Hans de Goede <[email-masked]> wrote:
>>
>> I replied to your original report on March 1st, but I never got a reply
>> to my reply:
>>
>> """
>> Thank you for the report.
>>
>> So I just did:
>>
>> touch Documentation/ABI/testing/sysfs-driver-intel_sdsi
>> make htmldocs &> log
>>
>> In a repo with drivers-x86/for-next checked out and checked the generated log files.
>> But I'm not seeing these WARNINGs.
>>
>> Also 'find Documentation/output/ -name "*sdsi*"' does not output anything,
>> is there anything special (maybe some extra utilities?) which I need to also enable
>> building of htmldocs for the files in Documentation/ABI ?
>> """
>>
>> If someone can let me know how to reproduce these warnings I would be happy
>> to fix them.
> 
> Sorry about that.  I am just doing what you are doing but with the
> whole of linux-next (which I don't think would make a difference).  One
> possibility is that we are using different versions of the doco
> software.
> 
> I am using Sphinx version 4.3.2 (using Python 3).

[hans@shalem ~]$ rpm -qf /usr/bin/sphinx-apidoc
python3-sphinx-4.4.0-1.fc36.noarch

I doubt this makes a difference though.

So I did some digging and the trick for reproducing any ABI
related warnings is to touch the .rst file which has the
"kernel-abi" reST directive (1) for the ABI subdir you want
to regenerate the ABI docs for.

So in this case I did:

touch Documentation/admin-guide/abi-testing.rst
make htmldocs &> log

And now I can see the warnings. I'll prepare a fix for this.

Looking at Documentation/Makefile I also learned that you
can also do this:

scripts/get_abi.pl validate --dir Documentation/ABI

Which results in a different set of warnings...

Regards,

Hans

1) Implemented in Documentation/sphinx/kernel_abi.py